# FoundationClasses
TKernel
Storage

# Storage_MapOfCallBack Class Reference

`#include <Storage_MapOfCallBack.hxx>`

Inheritance diagram for Storage_MapOfCallBack:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_MapOfCallBack (const Standard_Integer NbBuckets=1)
Standard_EXPORT Storage_MapOfCallBack & | Assign (const Storage_MapOfCallBack &Other)
Storage_MapOfCallBack & | operator= (const Storage_MapOfCallBack &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Storage_MapOfCallBack ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_AsciiString &K, const Handle(Storage_TypedCallBack)&I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_AsciiString &K)
Standard_EXPORT const Handle_Storage_TypedCallBack & | Find (const TCollection_AsciiString &K) const
const Handle_Storage_TypedCallBack & | operator() (const TCollection_AsciiString &K) const
Standard_EXPORT Handle_Storage_TypedCallBack & | ChangeFind (const TCollection_AsciiString &K)
Handle_Storage_TypedCallBack & | operator() (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Storage_MapOfCallBack (const Storage_MapOfCallBack &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Storage_MapOfCallBack::Storage_MapOfCallBack | ( | const Standard_Integer | NbBuckets = `1` | ) |

Storage_MapOfCallBack::~Storage_MapOfCallBack | ( |  | ) | `[inline]`

Standard_EXPORT Storage_MapOfCallBack::Storage_MapOfCallBack | ( | const Storage_MapOfCallBack & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Storage_MapOfCallBack& Storage_MapOfCallBack::Assign | ( | const Storage_MapOfCallBack & | Other | ) |

Standard_EXPORT Standard_Boolean Storage_MapOfCallBack::Bind | ( | const TCollection_AsciiString & | K,
|  | const Handle(Storage_TypedCallBack)& | I
| ) |

Standard_EXPORT Handle_Storage_TypedCallBack& Storage_MapOfCallBack::ChangeFind | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Storage_MapOfCallBack::Clear | ( |  | ) |

Standard_EXPORT const Handle_Storage_TypedCallBack& Storage_MapOfCallBack::Find | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Boolean Storage_MapOfCallBack::IsBound | ( | const TCollection_AsciiString & | K | ) | const

void Storage_MapOfCallBack::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfCallBack::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_MapOfCallBack::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

Handle_Storage_TypedCallBack& Storage_MapOfCallBack::operator() | ( | const TCollection_AsciiString & | K | ) | `[inline]`

const Handle_Storage_TypedCallBack& Storage_MapOfCallBack::operator() | ( | const TCollection_AsciiString & | K | ) | const`[inline]`

Storage_MapOfCallBack& Storage_MapOfCallBack::operator= | ( | const Storage_MapOfCallBack & | Other | ) | `[inline]`

Standard_EXPORT void Storage_MapOfCallBack::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean Storage_MapOfCallBack::UnBind | ( | const TCollection_AsciiString & | K | ) |

The documentation for this class was generated from the following file:

- Storage_MapOfCallBack.hxx